pcp:
  infra:
    postgres:
      host: postgres
      port: 5432
    kafka:
      host: kafka
      port: 9092

  network:
    host: localhost

  ports:
    config: 8888
    admin: 7000
    route-processing: 7004
    request: 7005
    ballistics: 7003
    complex-mission-service: 7002
    stations: 7009
    slots: 7006
    mission: 7010
    ui: 7008
    tgu: 7011
    tle-monitoring: 7001
    complex-mission-flow: 7007
    coverage-scheme: 7012
    satellite-catalog: 7013
    dynamic-plan: 7014

  services:
    config: http://spring-cloud-config-server:${pcp.ports.config}
    admin: http://pcp-srpring-boot-admin-server:${pcp.ports.admin}
    route-processing: http://pcp-route-processing-service:${pcp.ports.route-processing}
    request: http://pcp-request-service:${pcp.ports.request}
    earth-grid: ${pcp.services.request}
    ballistics: http://pcp-ballistics-service:${pcp.ports.ballistics}
    complex-mission-service: http://pcp-complex-mission-service:${pcp.ports.complex-mission-service}
    stations: http://pcp-stations-service:${pcp.ports.stations}
    slots: http://slots-service:${pcp.ports.slots}
    mission: http://pcp-mission-planing-service:${pcp.ports.mission}
    ui: http://pcp-ui-service:${pcp.ports.ui}
    tgu: http://pcp-tgu-service:${pcp.ports.tgu}
    tle-monitoring: http://tle-monitoring-service:${pcp.ports.tle-monitoring}
    coverage-scheme: http://pcp-coverage-scheme-service:${pcp.ports.coverage-scheme}
    satellite-catalog: http://pcp-satellite-catalog-service:${pcp.ports.satellite-catalog}
    dynamic-plan: http://pcp-dynamic-plan-service:${pcp.ports.dynamic-plan}

spring:
  kafka:
    admin:
      auto-create: true
    listener:
      missing-topics-fatal: false

camunda:
  client:
    enabled: ${CAMUNDA_CLIENT_ENABLED:false}
    grpc-address: ${CAMUNDA_GRPC_ADDRESS:http://192.168.60.201:26500}
    auth:
      method: none
    prefer-rest-over-grpc: false

planning:
  external-update-enabled: false

classifier:
  platforms-url: https://ordinis.nstart.cloud/api/v1/spacecraft/records
  platforms-cache-ttl: 15m
  allowed-platform-statuses:
    - OPERATIONAL

tle:
  polling:
    enabled: ${TLE_POLLING_ENABLED:false}

settings:
  ic-service: http://pcp-satellite-catalog-service:${pcp.ports.satellite-catalog}
